package cn.estsh.i3plus.ext.mes.pcn.api.busi.jx;

import cn.estsh.i3plus.ext.mes.pcn.pojo.model.jx.JxOqcManageCheckDetailModel;
import cn.estsh.i3plus.ext.mes.pcn.pojo.model.jx.JxOqcManageManualModel;
import cn.estsh.i3plus.ext.mes.pcn.pojo.model.jx.JxOqcManageModel;
import cn.estsh.i3plus.ext.mes.pcn.pojo.model.jx.JxOqcManageParamModel;
import io.swagger.annotations.ApiOperation;

/**
 * @Author: wangjie
 * @CreateDate: 2021/01/19 15:06 下午
 * @Description:
 **/
public interface IJxOqcManageService {

    /**
     * 正常检验成品扫描/组件跳转展示数据/切换
     * @param model 查询条件
     * @return 出货检验信息
     */
    @ApiOperation(value = "正常检验成品扫描/组件跳转展示数据/切换", notes = "正常检验成品扫描/组件跳转展示数据/切换")
    JxOqcManageModel queryOqcManageData(JxOqcManageParamModel model);

    /**
     * 重置
     * @param model 查询条件
     * @return 出货检验信息
     */
    @ApiOperation(value = "重置", notes = "重置")
    JxOqcManageModel resetOqcManageData(JxOqcManageParamModel model);

    /**
     * 修改检验项
     * @param model 检验项信息
     * @param userName 操作人
     */
    @ApiOperation(value = "修改检验项", notes = "修改检验项")
    void updateOqcCheckDetail(JxOqcManageCheckDetailModel model, String userName);

    /**
     * 重载检验项
     * @param model 查询条件
     */
    @ApiOperation(value = "重载检验项", notes = "重载检验项")
    void doOqcCheckDetailReload(JxOqcManageParamModel model);

    /**
     * 正常检验生成检验单
     * @param model 查询条件
     */
    @ApiOperation(value = "正常检验生成检验单", notes = "正常检验生成检验单")
    void insertOqcManageDataNormal(JxOqcManageParamModel model);

    /**
     * 正常检验-合格/不合格
     * @param model 查询条件
     */
    @ApiOperation(value = "正常检验-合格/不合格", notes = "正常检验-合格/不合格")
    void updateOqcManageDataNormal(JxOqcManageParamModel model);

    /**
     * 手动检验查询
     * @param model 查询条件
     * @return 手动检验数据
     */
    @ApiOperation(value = "手动检验查询", notes = "手动检验查询")
    JxOqcManageManualModel queryOqcManageDataManual(JxOqcManageManualModel model);

    /**
     * 手动检验提交
     * @param model 查询条件
     * @return 手动检验数据
     */
    @ApiOperation(value = "手动检验提交", notes = "手动检验提交")
    JxOqcManageManualModel insertOqcManageDataManual(JxOqcManageManualModel model);
}
